edu.northwestern.at.morphadorner.tools.mergebrilllexicon

## Class MergeBrillLexicon

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.mergebrilllexicon.MergeBrillLexicon

-     public class MergeBrillLexicon
      extends java.lang.Object

  Merge Brill format lexicon into MorphAdorner format lexicon.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `lemmaSeparator` Lemma separator character.
    `protected static Lemmatizer` | `lemmatizer` Lemmatizer.
    `protected static PartOfSpeechTags` | `partOfSpeechTags` Part of speech tags.
    `protected static WordTokenizer` | `spellingTokenizer` Spelling tokenizer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MergeBrillLexicon()` Allow overrides but not instantiation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getLemma(java.lang.String spelling, java.lang.String partOfSpeech)` Get lemma for a word.
    `static void` | `main(java.lang.String[] args)` Main program.
    `static void` | `mergeBrillLexicon(java.lang.String lexiconFileName, java.lang.String brillLexiconFileName, java.lang.String mergedLexiconFileName)` Merge Brill lexicon.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spellingTokenizer

          protected static WordTokenizer spellingTokenizer

      Spelling tokenizer.

    - #### lemmatizer

          protected static Lemmatizer lemmatizer

      Lemmatizer.

    - #### partOfSpeechTags

          protected static PartOfSpeechTags partOfSpeechTags

      Part of speech tags.

    - #### lemmaSeparator

          protected static java.lang.String lemmaSeparator

      Lemma separator character.

  - ### Constructor Detail

    - #### MergeBrillLexicon

          protected MergeBrillLexicon()

      Allow overrides but not instantiation.

  - ### Method Detail

    - #### mergeBrillLexicon

          public static void mergeBrillLexicon(java.lang.String lexiconFileName,
                               java.lang.String brillLexiconFileName,
                               java.lang.String mergedLexiconFileName)
                                        throws java.io.IOException

      Merge Brill lexicon.
      Parameters:
        `lexiconFileName` - MorphAdorner lexicon file name.
        `brillLexiconFileName` - Brill format lexicon file name.
        `mergedLexiconFileName` - Merged lexicon file name.
      Throws:
        `java.io.IOException`

    - #### getLemma

          public static java.lang.String getLemma(java.lang.String spelling,
                                  java.lang.String partOfSpeech)

      Get lemma for a word.
      Parameters:
        `spelling` - The word spelling.
        `partOfSpeech` - The part of speech tag.
      Returns:
        The lemma.

    - #### main

          public static void main(java.lang.String[] args)

      Main program.